<html>
<head>
  <title>Evernote Export</title>
    <basefont face="나눔고딕코딩" size="2" />
      <meta http-equiv="Content-Type" content="text/html;charset=utf-8" />
        <meta name="exporter-version" content="Evernote Windows/303788 (ko-KR, DDL); Windows/6.1.7601 Service Pack 1 (Win64);"/>
	  <style>
	      body, td {
	            font-family: 나눔고딕코딩;
		          font-size: 12pt;
			      }
			        </style>
				</head>
				<body>
				<a name="2239"/>
				<h1>git push --force</h1>

				<div>
				<span><div>강제로 현재 상태를 올리는 방법</div><div><br/></div><div align="left" style="min-height: 15pt;"><font color="#00BF00"><span style="font-size:12pt">NAVER@AD01093430</span></font> <font color="#BF00BF"><span style="font-size:12pt">MINGW64</span></font> <font color="#BFBF00"><span style="font-size:12pt">/c/gitlab</span></font> <font color="#00BFBF"><span style="font-size:12pt">(master)</span></font></div><div align="left" style="min-height: 15pt;"><b><font color="#010101"><span style="font-size:12pt">$ git checkout java_이병욱</span></font></b></div><div align="left" style="min-height: 15pt;"><span style="color: rgb(168, 168, 168);"><span style="font-size:12pt">Branch java_이병욱 set up to track remote branch java_이병욱 from origin.</span></span></div><div align="left" style="min-height: 15pt;"><div><span style="color: rgb(168, 168, 168);"><span style="font-size:12pt">Switched to a new branch 'java_이병욱'</span></span></div><div><span style="color: rgb(168, 168, 168);"><br/></span></div></div><div align="left" style="min-height: 15pt;"><div><font color="#00BF00"><span style="font-size:12pt">NAVER@AD01093430</span></font> <font color="#BF00BF"><span style="font-size:12pt">MINGW64</span></font> <font color="#BFBF00"><span style="font-size:12pt">/c/gitlab</span></font> <font color="#00BFBF"><span style="font-size:12pt">(java_이병욱)</span></font></div></div><div align="left" style="min-height: 15pt;"><b><font color="#010101"><span style="font-size:12pt">$ git log</span></font></b></div><div align="left" style="min-height: 15pt;"><font color="#BFBF00"><span style="font-size:12pt">commit 461dc38f6fa41a149f490ee568581dbd02ffd6b6</span></font></div><div align="left" style="min-height: 15pt;"><div><span style="color: rgb(168, 168, 168);"><span style="font-size:12pt">Author: Byungwook Lee &lt;byungwook.lee@nhn.com&gt;</span></span></div></div><div align="left" style="min-height: 15pt;"><div><span style="color: rgb(168, 168, 168);"><span style="font-size:12pt">Date:   Wed Jan 4 13:38:11 2017 +0900</span></span></div></div><div align="left" style="min-height: 15pt;"><div><span style="color: rgb(168, 168, 168);"><span style="font-size:12pt">    요구사항 명세서 추가</span></span></div><div><span style="color: rgb(168, 168, 168);"><br/></span></div></div><div align="left" style="min-height: 15pt;"><font color="#BFBF00"><span style="font-size:12pt">commit cc19322383281c3e5f524646846e55730ed69315</span></font></div><div align="left" style="min-height: 15pt;"><div><span style="color: rgb(168, 168, 168);"><span style="font-size:12pt">Author: Byungwook Lee &lt;byungwook.lee@nhn.com&gt;</span></span></div></div><div align="left" style="min-height: 15pt;"><div><span style="color: rgb(168, 168, 168);"><span style="font-size:12pt">Date:   Wed Jan 4 13:17:05 2017 +0900</span></span></div></div><div align="left" style="min-height: 15pt;"><div><span style="color: rgb(168, 168, 168);"><span style="font-size:12pt">    data access object 나중에 db가 붙을것을 생각하여 인터페이스화 함 -&gt; 현재는 filesystem 사용으로 </span><span style="font-size: 12pt;">disc~dao로 구현하여 사용중</span></span></div></div><div align="left" style="min-height: 15pt;"><div align="left" style="min-height: 15pt;"><br/></div><div align="left" style="min-height: 15pt;"><div><b><font color="#010101"><span style="font-size:12pt">$ git reset --hard cc19322383281c3e5f524646846e55730ed69315</span></font></b></div></div><div align="left" style="min-height: 15pt;"><div><span style="color: rgb(168, 168, 168);"><span style="font-size:12pt">HEAD is now at cc19322 data access object 나중에 db가 붙을것을 생각하여 인터페이스화 함 -&gt; 현재는 filesystem 사용으로</span></span></div></div><div align="left" style="min-height: 15pt;"><br/></div><div align="left" style="min-height: 15pt;"><b><font color="#010101"><span style="font-size:12pt">$ git log</span></font></b></div><div align="left" style="min-height: 15pt;"><font color="#BFBF00"><span style="font-size:12pt">commit cc19322383281c3e5f524646846e55730ed69315</span></font></div><div align="left" style="min-height: 15pt;"><div><span style="color: rgb(168, 168, 168);"><span style="font-size:12pt">Author: Byungwook Lee &lt;byungwook.lee@nhn.com&gt;</span></span></div></div><div align="left" style="min-height: 15pt;"><div><span style="color: rgb(168, 168, 168);"><span style="font-size:12pt">Date:   Wed Jan 4 13:17:05 2017 +0900</span></span></div></div><div align="left" style="min-height: 15pt;"><div><span style="color: rgb(168, 168, 168);"><span style="font-size:12pt">    data access object 나중에 db가 붙을것을 생각하여 인터페이스화 함 -&gt; 현재는 filesystem 사용으로 </span><span style="font-size:12pt">disc~dao로 구현하여 사용중</span></span></div></div><div align="left" style="min-height: 15pt;"><div><span style="color: rgb(1, 1, 1);"><br/></span></div><div><span style="color: rgb(1, 1, 1);"><img src="2017-01-12 12;15;38.PNG" type="image/png" style="height:auto;" width="944"/><br/></span></div><div align="left" style="min-height: 15pt;"><br/></div><div align="left" style="min-height: 15pt;"><b><font color="#010101"><span style="font-size:12pt">$ git push</span></font></b></div><div align="left" style="min-height: 15pt;"><span style="color: rgb(168, 168, 168);"><span style="font-size:12pt">Username for 'https://gitlab.com': taehwan.kim@nhn.com</span></span></div><div align="left" style="min-height: 15pt;"><span style="color: rgb(168, 168, 168);"><span style="font-size:12pt">To https://gitlab.com/taehwan.kim/2017_1st_intern.git</span></span></div><div align="left" style="min-height: 15pt;"><span style="color: rgb(168, 168, 168);"><span style="font-size:12pt"> ! [rejected]        java_이병욱 -&gt; java_이병욱 (non-fast-forward)</span></span></div><div align="left" style="min-height: 15pt;"><span style="color: rgb(168, 168, 168);"><span style="font-size:12pt">error: failed to push some refs to 'https://gitlab.com/taehwan.kim/2017_1st_intern.git'</span></span></div><div align="left" style="min-height: 15pt;"><span style="color: rgb(168, 168, 168);"><span style="font-size:12pt">hint: Updates were rejected because the tip of your current branch is behind</span></span></div><div align="left" style="min-height: 15pt;"><span style="color: rgb(168, 168, 168);"><span style="font-size:12pt">hint: its remote counterpart. Integrate the remote changes (e.g.</span></span></div><div align="left" style="min-height: 15pt;"><span style="color: rgb(168, 168, 168);"><span style="font-size:12pt">hint: 'git pull ...') before pushing again.</span></span></div><div align="left" style="min-height: 15pt;"><div><span style="color: rgb(168, 168, 168);"><span style="font-size:12pt">hint: See the 'Note about fast-forwards' in 'git push --help' for details.</span></span></div><div align="left" style="min-height: 15pt;"><br/></div><div align="left" style="min-height: 15pt;"><b><font color="#010101"><span style="font-size:12pt">$ git push --force --dry-run</span></font></b></div><div align="left" style="min-height: 15pt;"><span style="color: rgb(168, 168, 168);"><span style="font-size:12pt">Username for 'https://gitlab.com': taehwan.kim@nhn.com</span></span></div><div align="left" style="min-height: 15pt;"><span style="color: rgb(168, 168, 168);"><span style="font-size:12pt">To https://gitlab.com/taehwan.kim/2017_1st_intern.git</span></span></div><div align="left" style="min-height: 15pt;"><div><span style="color: rgb(168, 168, 168);"><span style="font-size:12pt"> + 461dc38...cc19322 java_이병욱 -&gt; java_이병욱 (forced update)</span></span></div><div align="left" style="min-height: 15pt;"><br/></div><div align="left" style="min-height: 15pt;"><b><font color="#010101"><span style="font-size:12pt">$ git push --force</span></font></b></div><div align="left" style="min-height: 15pt;"><span style="color: rgb(168, 168, 168);"><span style="font-size:12pt">Username for 'https://gitlab.com': taehwan.kim@nhn.com</span></span></div><div align="left" style="min-height: 15pt;"><span style="color: rgb(168, 168, 168);"><span style="font-size:12pt">Total 0 (delta 0), reused 0 (delta 0)</span></span></div><div align="left" style="min-height: 15pt;"><span style="color: rgb(168, 168, 168);"><span style="font-size:12pt">remote:</span></span></div><div align="left" style="min-height: 15pt;"><span style="color: rgb(168, 168, 168);"><span style="font-size:12pt">remote: To create a merge request for java_, visit:</span></span></div><div align="left" style="min-height: 15pt;"><span style="color: rgb(168, 168, 168);"><span style="font-size:12pt">remote:   https://gitlab.com/taehwan.kim/2017_1st_intern/merge_requests/new?merge_request%5Bsource_branch%5D=java_</span></span></div><div align="left" style="min-height: 15pt;"><span style="color: rgb(168, 168, 168);"><span style="font-size:12pt">remote:</span></span></div><div align="left" style="min-height: 15pt;"><span style="color: rgb(168, 168, 168);"><span style="font-size:12pt">To https://gitlab.com/taehwan.kim/2017_1st_intern.git</span></span></div><div align="left" style="min-height: 15pt;"><div><span style="color: rgb(168, 168, 168);"><span style="font-size:12pt"> + 461dc38...cc19322 java_이병욱 -&gt; java_이병욱 (forced update)</span></span></div></div></div></div></div><div><span style="color: rgb(1, 1, 1);"><br/></span></div><div><img src="2017-01-12 12;15;56.PNG" type="image/png" style="height:auto;" width="956"/></div><div><br/></div><div><br/></div></div></span>
				</div></body></html>
